/*
 * Copyright (c) 2010 by Intevation GmbH
 *
 * This program is free software under the LGPL (>=v2.1)
 * Read the file LGPL.txt coming with the software for details
 * or visit http://www.gnu.org/licenses/ if it does not exist.
 */

package de.intevation.gnv.state.describedata;

/**
 * This interface defines some methods to store and retrieve key-value pairs.
 *
 * @author <a href="mailto:tim.englich@intevation.de">Tim Englich</a>
 */
public interface SingleValueDescribeData extends DescribeData {

    /**
     * Returns the name of this object.
     *
     * @return the name.
     */
    public String getName();

    /**
     * Returns the value stored in this object.
     *
     * @return the value.
     */
    public String getValue();

    /**
     * Sets the value of this object to <i>value</i>.
     *
     * @param value A new value.
     */
    public void setValue(String value);

    /**
     * Returns the state this objects belongs to.
     *
     * @return the state.
     */
    public String getState();
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
